Package com.creditcall.chipdnamobile

# Class PaymentDeviceErrorCode

java.lang.Object
com.creditcall.chipdnamobile.PaymentDeviceErrorCode

All Implemented Interfaces:
  `Serializable`

public class PaymentDeviceErrorCode extends Object
The error codes for PaymentDeviceErrorCode

Author:
  Creditcall Ltd
See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final PaymentDeviceErrorCode`
  `AcceptedButtonPressed`
  Accept button pressed.
  `static final PaymentDeviceErrorCode`
  `ActionCancelled`
  Action aborted with cancel key.
  `static final PaymentDeviceErrorCode`
  `ActionNotPermitted`
  Action not permitted.
  `static final PaymentDeviceErrorCode`
  `BluetoothNotEnabled`
  Bluetooth is not enabled on this mobile device.
  `static final PaymentDeviceErrorCode`
  `BluetoothNotSupported`
  Bluetooth is not supported on this mobile device.
  `static final PaymentDeviceErrorCode`
  `ConnectionFailed`
  Connection failed.
  `static final PaymentDeviceErrorCode`
  `DataMissing`
  There is data missing.
  `static final PaymentDeviceErrorCode`
  `DeviceBusy`
  Bluepad50 is busy.
  `static final PaymentDeviceErrorCode`
  `DeviceNotPaired`
  The selected Bluetooth device is not paired.
  `static final PaymentDeviceErrorCode`
  `DisplayTextFormatInvalid`
  The text to display contains invalid characters
  `static final PaymentDeviceErrorCode`
  `DisplayTextMissing`
  The text to display can not be null
  `static final PaymentDeviceErrorCode`
  `DisplayTextTooLong`
  The text to display is to long too fit on screen
  `static final PaymentDeviceErrorCode`
  `DisplayTimeInvalid`
  The display time is invalid
  `static final PaymentDeviceErrorCode`
  `DuplicatedKey`
  Duplicate key.
  `static final PaymentDeviceErrorCode`
  `EncryptedHeaderError`
  Error in encrypted header.
  `static final PaymentDeviceErrorCode`
  `FlashError`
  Internal flash error.
  `static final PaymentDeviceErrorCode`
  `General`
  General error has occurred.
  `static final PaymentDeviceErrorCode`
  `GeneralKeyboardError`
  General keyboard error.
  `static final PaymentDeviceErrorCode`
  `HALHardwareError`
  HAL Hardware error.
  `static final PaymentDeviceErrorCode`
  `HardwareError`
  Hardware error.
  `static final PaymentDeviceErrorCode`
  `IDTechPinPadSearchUnavailable`
  Unable to search for IDTECH PinPads in any state other than idle while connected to an IDTECH PinPad via USB, it must be disconnected before searching.
  `static final PaymentDeviceErrorCode`
  `InitError`
  Init error, reserved for future use.
  `static final PaymentDeviceErrorCode`
  `InvalidAddress`
  Invalid Address.
  `static final PaymentDeviceErrorCode`
  `InvalidChecksum`
  Invalid checksum, reserved for future use.
  `static final PaymentDeviceErrorCode`
  `InvalidCommandOrMode`
  The Bluepad PIN pad is currently in a mode which doesn't accept that command.
  `static final PaymentDeviceErrorCode`
  `InvalidCommandSequence`
  Invalid command sequence, reserved for future use.
  `static final PaymentDeviceErrorCode`
  `InvalidDevice`
  Invalid device.
  `static final PaymentDeviceErrorCode`
  `InvalidHeader`
  Invalid header.
  `static final PaymentDeviceErrorCode`
  `InvalidKEK`
  Invalid KEK provided.
  `static final PaymentDeviceErrorCode`
  `InvalidKeyAttribute`
  Invalid key attribute.
  `static final PaymentDeviceErrorCode`
  `InvalidKeyData`
  Invalid key data supplied.
  `static final PaymentDeviceErrorCode`
  `InvalidKeyFormat`
  Invalid security key format.
  `static final PaymentDeviceErrorCode`
  `InvalidKeyID`
  Invalid key ID.
  `static final PaymentDeviceErrorCode`
  `InvalidLength`
  Invalid length.
  `static final PaymentDeviceErrorCode`
  `InvalidParameter`
  Invalid parameter sent to Bluepad50 PIN pad.
  `static final PaymentDeviceErrorCode`
  `InvalidPassword`
  Invalid password.
  `static final PaymentDeviceErrorCode`
  `InvalidPinData`
  Invalid PIN data in the internal buffer.
  `static final PaymentDeviceErrorCode`
  `InvalidReminderData`
  Invalid reminder data not provided during ICC process.
  `static final PaymentDeviceErrorCode`
  `InvalidSignature`
  Invalid signature.
  `static final PaymentDeviceErrorCode`
  `InvalidState`
  The command can not be processed at this point in the transaction
  `static final PaymentDeviceErrorCode`
  `InvalidValue`
  Invalid value sent to Bluepad50 PIN pad.
  `static final PaymentDeviceErrorCode`
  `KeyboardBugDetected`
  Defect in keyboard detected.
  `static final PaymentDeviceErrorCode`
  `KeyboardNotCalibrated`
  Keyboard not calibrated.
  `static final PaymentDeviceErrorCode`
  `LimitError`
  Limit error, Reserved for future use.
  `static final PaymentDeviceErrorCode`
  `NoDeviceSelected`
  No supported device has been selected for connection.
  `static final PaymentDeviceErrorCode`
  `PinLimit`
  PIN limit, reserved for future use.
  `static final PaymentDeviceErrorCode`
  `PINPadOutOfMemory`
  PIN pad out of memory.
  `static final PaymentDeviceErrorCode`
  `SCRHardwareError`
  SCR Hardware error.
  `static final PaymentDeviceErrorCode`
  `TamperedModeActive`
  Tamper protection has been triggered on the Bluepad50 and the device cannot be used.
  `static final PaymentDeviceErrorCode`
  `TimeOut`
  Action timed out.
  `static final PaymentDeviceErrorCode`
  `TMKNotLoaded`
  Terminal Master Key not loaded.
  `static final PaymentDeviceErrorCode`
  `UnableToStartGetCardDetails`
  `static final PaymentDeviceErrorCode`
  `UnauthorisedCommandOrMode`
  The command is not authorised in this mode.
  `static final PaymentDeviceErrorCode`
  `Unmapped`
  Unmapped error occurred.
  `static final PaymentDeviceErrorCode`
  `UnsupportedCommand`
  The PIN pad doesn't support this command
  `static final PaymentDeviceErrorCode`
  `UnsupportedFirmwareVersion`
  Action not supported on this firmware version.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getErrorDescription()`
  `String`
  `getErrorString()`
  `void`
  `setErrorDescription(String errorDescription)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DeviceNotPaired

    public static final PaymentDeviceErrorCode DeviceNotPaired
    The selected Bluetooth device is not paired.

  - ### BluetoothNotSupported

    public static final PaymentDeviceErrorCode BluetoothNotSupported
    Bluetooth is not supported on this mobile device.

  - ### BluetoothNotEnabled

    public static final PaymentDeviceErrorCode BluetoothNotEnabled
    Bluetooth is not enabled on this mobile device.

  - ### ConnectionFailed

    public static final PaymentDeviceErrorCode ConnectionFailed
    Connection failed.

  - ### IDTechPinPadSearchUnavailable

    public static final PaymentDeviceErrorCode IDTechPinPadSearchUnavailable
    Unable to search for IDTECH PinPads in any state other than idle while connected to an IDTECH PinPad via USB, it must be disconnected before searching.

  - ### NoDeviceSelected

    public static final PaymentDeviceErrorCode NoDeviceSelected
    No supported device has been selected for connection.

  - ### InvalidState

    public static final PaymentDeviceErrorCode InvalidState
    The command can not be processed at this point in the transaction

  - ### UnsupportedCommand

    public static final PaymentDeviceErrorCode UnsupportedCommand
    The PIN pad doesn't support this command

  - ### DisplayTextTooLong

    public static final PaymentDeviceErrorCode DisplayTextTooLong
    The text to display is to long too fit on screen

  - ### DisplayTextMissing

    public static final PaymentDeviceErrorCode DisplayTextMissing
    The text to display can not be null

  - ### DisplayTextFormatInvalid

    public static final PaymentDeviceErrorCode DisplayTextFormatInvalid
    The text to display contains invalid characters

  - ### DisplayTimeInvalid

    public static final PaymentDeviceErrorCode DisplayTimeInvalid
    The display time is invalid

  - ### UnableToStartGetCardDetails

    public static final PaymentDeviceErrorCode UnableToStartGetCardDetails

  - ### Unmapped

    public static final PaymentDeviceErrorCode Unmapped
    Unmapped error occurred.

  - ### General

    public static final PaymentDeviceErrorCode General
    General error has occurred.

  - ### InvalidCommandOrMode

    public static final PaymentDeviceErrorCode InvalidCommandOrMode
    The Bluepad PIN pad is currently in a mode which doesn't accept that command.

  - ### InvalidParameter

    public static final PaymentDeviceErrorCode InvalidParameter
    Invalid parameter sent to Bluepad50 PIN pad.

  - ### InvalidAddress

    public static final PaymentDeviceErrorCode InvalidAddress
    Invalid Address.

  - ### InvalidValue

    public static final PaymentDeviceErrorCode InvalidValue
    Invalid value sent to Bluepad50 PIN pad.

  - ### InvalidLength

    public static final PaymentDeviceErrorCode InvalidLength
    Invalid length.

  - ### UnauthorisedCommandOrMode

    public static final PaymentDeviceErrorCode UnauthorisedCommandOrMode
    The command is not authorised in this mode.

  - ### DataMissing

    public static final PaymentDeviceErrorCode DataMissing
    There is data missing.

  - ### TimeOut

    public static final PaymentDeviceErrorCode TimeOut
    Action timed out.

  - ### InvalidKeyID

    public static final PaymentDeviceErrorCode InvalidKeyID
    Invalid key ID.

  - ### InvalidKeyAttribute

    public static final PaymentDeviceErrorCode InvalidKeyAttribute
    Invalid key attribute.

  - ### InvalidDevice

    public static final PaymentDeviceErrorCode InvalidDevice
    Invalid device.

  - ### UnsupportedFirmwareVersion

    public static final PaymentDeviceErrorCode UnsupportedFirmwareVersion
    Action not supported on this firmware version.

  - ### PinLimit

    public static final PaymentDeviceErrorCode PinLimit
    PIN limit, reserved for future use.

  - ### FlashError

    public static final PaymentDeviceErrorCode FlashError
    Internal flash error.

  - ### HardwareError

    public static final PaymentDeviceErrorCode HardwareError
    Hardware error.

  - ### InvalidChecksum

    public static final PaymentDeviceErrorCode InvalidChecksum
    Invalid checksum, reserved for future use.

  - ### ActionCancelled

    public static final PaymentDeviceErrorCode ActionCancelled
    Action aborted with cancel key.

  - ### InvalidSignature

    public static final PaymentDeviceErrorCode InvalidSignature
    Invalid signature.

  - ### InvalidHeader

    public static final PaymentDeviceErrorCode InvalidHeader
    Invalid header.

  - ### InvalidPassword

    public static final PaymentDeviceErrorCode InvalidPassword
    Invalid password.

  - ### InvalidKeyFormat

    public static final PaymentDeviceErrorCode InvalidKeyFormat
    Invalid security key format.

  - ### SCRHardwareError

    public static final PaymentDeviceErrorCode SCRHardwareError
    SCR Hardware error.

  - ### HALHardwareError

    public static final PaymentDeviceErrorCode HALHardwareError
    HAL Hardware error.

  - ### InvalidKeyData

    public static final PaymentDeviceErrorCode InvalidKeyData
    Invalid key data supplied.

  - ### InvalidPinData

    public static final PaymentDeviceErrorCode InvalidPinData
    Invalid PIN data in the internal buffer.

  - ### InvalidReminderData

    public static final PaymentDeviceErrorCode InvalidReminderData
    Invalid reminder data not provided during ICC process.

  - ### InitError

    public static final PaymentDeviceErrorCode InitError
    Init error, reserved for future use.

  - ### LimitError

    public static final PaymentDeviceErrorCode LimitError
    Limit error, Reserved for future use.

  - ### InvalidCommandSequence

    public static final PaymentDeviceErrorCode InvalidCommandSequence
    Invalid command sequence, reserved for future use.

  - ### ActionNotPermitted

    public static final PaymentDeviceErrorCode ActionNotPermitted
    Action not permitted.

  - ### TMKNotLoaded

    public static final PaymentDeviceErrorCode TMKNotLoaded
    Terminal Master Key not loaded.

  - ### InvalidKEK

    public static final PaymentDeviceErrorCode InvalidKEK
    Invalid KEK provided.

  - ### DuplicatedKey

    public static final PaymentDeviceErrorCode DuplicatedKey
    Duplicate key.

  - ### GeneralKeyboardError

    public static final PaymentDeviceErrorCode GeneralKeyboardError
    General keyboard error.

  - ### KeyboardNotCalibrated

    public static final PaymentDeviceErrorCode KeyboardNotCalibrated
    Keyboard not calibrated.

  - ### KeyboardBugDetected

    public static final PaymentDeviceErrorCode KeyboardBugDetected
    Defect in keyboard detected.

  - ### DeviceBusy

    public static final PaymentDeviceErrorCode DeviceBusy
    Bluepad50 is busy.

  - ### TamperedModeActive

    public static final PaymentDeviceErrorCode TamperedModeActive
    Tamper protection has been triggered on the Bluepad50 and the device cannot be used.

  - ### EncryptedHeaderError

    public static final PaymentDeviceErrorCode EncryptedHeaderError
    Error in encrypted header.

  - ### AcceptedButtonPressed

    public static final PaymentDeviceErrorCode AcceptedButtonPressed
    Accept button pressed.

  - ### PINPadOutOfMemory

    public static final PaymentDeviceErrorCode PINPadOutOfMemory
    PIN pad out of memory.

- ## Method Details

  - ### getErrorString

    public String getErrorString()

  - ### getErrorDescription

    public String getErrorDescription()

  - ### setErrorDescription

    public void setErrorDescription(String errorDescription)